Bug 439101 - tmpwatch audit due to /var/lib/texmf/tex context
tmpwatch audit due to /var/lib/texmf/tex context
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-26 19:35 EDT by archimerged Ark submedes
Modified: 2013-07-02 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 14:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2008-03-26 19:35:46 EDT
Description of problem:
tmpwatch gets SE linux audit, looks like /var/lib/texmf/tex has the wrong
context.  No doubt this really belongs on another component, but I don't know
which and the RPM database seems to be broken in F9beta, so I can't tell who
owns /var/lib/texmf/tex.

Version-Release number of selected component (if applicable):
Linux beta.localnet 2.6.25-0.121.rc5.git4.fc9 #1 SMP Fri Mar 14 23:14:20 EDT
2008 i686 i686 i386 GNU/Linux

How reproducible:
it just happens, when tmpwatch runs.

Steps to Reproduce:
1.  Install F9beta, including the three package choices productivity,
programming, webserver.
2.  Get it running.  Wait for tmpwatch to run.
3.  Or just ls --lcontext /var/lib/texmf
Actual results:
Get SE Linux error.  /var/lib/texmf/tex has different context from other files
in /var/lib/texmf.

Expected results:
No error.

Additional info:
Comment 1 archimerged Ark submedes 2008-03-26 21:06:24 EDT
On another box (the first has flaky hardware, got RPM database corruption)
I can see that this bug belongs with texlive-texmf-2007-17.  The subdirectories
of /var/lib/texmf belong to that package, but the directory itself has no owner
package.  Setting it's context fell through the cracks.
Comment 2 Jindrich Novy 2008-04-03 14:52:36 EDT
Ok, I run restorecon in %post now, so the SELinux context should be fine since

Note You need to log in before you can comment on or make changes to this bug.